<?php
$_lang["managermanager"]='ManagerManager';
$_lang["saveButton"]='Save';
$_lang["mmRulesTabs"] = 'MM rules';
$_lang["fieldsTabs"] = 'Fields';
$_lang["tabsTabs"] = 'Tabs';
$_lang["sectionsTabs"] = 'Sections';
$_lang["tvsTabs"] = 'Tvs';
$_lang["templatesTabs"] = 'Templates';
$_lang["rolesTabs"] = 'Roles';
$_lang["functionTabs"] = 'Function reference';
$_lang["gettingStartedTabs"] = 'How it works';
$_lang["chunk_not_found"]='Chunk:"'.$config_chunk.'" not found!';

$_lang['field_name_mm'] = 'Field name in MM';
$_lang['field_name_manager'] = 'Name in Manager interface(English)';
$_lang['tab_name_mm'] = 'Tab names in MM';
$_lang['tab_name_manager'] = 'Tab names in Manager interface(English)';
$_lang['tabGeneral']='General';
$_lang['tabSettings']='Page Settings';
$_lang['tabMeta']='META Keywords';
$_lang['tabPreview']='Preview';

$_lang['section_name_mm'] = 'Section names in MM';
$_lang['section_name_manager'] = 'Section names in Manager interface(English)';
$_lang['docsettings_section']='Resourse settings';
$_lang['content_section']='Resource content';
$_lang['tvs_section']='Template Variables';
$_lang['access_section']='Access permissions';
$_lang['history_section']='Content history';

$_lang['role_name_mm'] = 'Role names in MM';
$_lang['role_name_manager'] = 'Role names in Manager interface(English)';
$_lang['tv_name_mm'] = 'TV names in MM';
$_lang['tv_name_manager'] = 'TV names';
$_lang['tv_type']='TV type';
$_lang['tv_caption']='TV names in Manager interface';
$_lang['template_name_mm'] = 'Template names in MM';
$_lang['template_name_manager'] = 'Template names in Manager interface(English)';
$_lang['template_description']='Template description';

$_lang['pagetitle'] = 'Title';
$_lang['long_title'] = 'Long title';
$_lang['document_description'] = 'Description';
$_lang['document_alias'] = 'Document\'s alias';
$_lang['link_attributes'] = 'Link Attributes';
$_lang['document_summary'] = 'Summary (introtext)';
$_lang['page_data_template'] = 'Uses template';
$_lang['document_opt_menu_title'] = 'Menu title';
$_lang['document_opt_menu_index'] = 'Menu index';
$_lang['document_opt_show_menu'] = 'Show in menu';
$_lang['document_parent'] = 'Document parent';
$_lang['document_opt_folder'] = 'Container?';
$_lang['document_opt_richtext'] = 'Rich text?';
$_lang['track_visitors_title'] = 'Log visits (stats)';
$_lang['document_opt_published'] = 'Published?';
$_lang['page_data_publishdate'] = 'Publish date';

$_lang['page_data_unpublishdate'] = 'Un-publish date';
$_lang['page_data_searchable'] = 'Searchable';
$_lang['page_data_cacheable'] = 'Cacheable';
$_lang['document_opt_emptycache'] = 'Empty cache?';
$_lang['page_data_contentType'] = 'Content Type';
$_lang['document_opt_contentdispo'] = 'Content Disposition';
$_lang['meta_keywords'] = 'Keywords';
$_lang['metatags'] = 'META tags';
$_lang['content'] = 'Document content';
$_lang['which_editor'] = 'Editor to use';

$_lang["renameFieldHelp"] ='<p>Renames one of the default field within the manager. Note, you cannot rename the "content" field, or template variables -- you should rename template variables names by editing their settings.</p>
<p><strong>$fields: </strong>The name of the fields this should apply to (from table above). Can only accept single field [Required]<br/>
<strong>$newlabel:</strong>The new text for the label[Required]<br/>
<strong>$roles:</strong>comma separated list of role IDs this should be applied to. Leave empty (or omit) for all roles [Optional - default is all]<br/>
<strong>$templates:</strong>comma separated list of template IDs this should be applied to. Leave empty (or omit) for all templates [Optional - default is all]<br/>
<strong>$newhelp:</strong>New text for the help icon with this field. The same restriction apply as when using mm_changeFieldHelp directly [Optional - default is leave unchanged]</p>
<p>
<code>mm_renameField(\'longtitle\', \'Page heading\'); // Rename the longtitle field to "Page heading" for all users</code>
<code>mm_renameField(\'longtitle\', \'Case study name\', \'\', \'3\'); // Rename the longtitle field to "Case study name" for documents using template ID "3"</code>
</p>';

$_lang['hideFieldsHelp'] = '<p>Hides one or more of the default fields within the manager.</p>
<p> If a field to be hidden is a template variable, it must be prefixed by \'tv\'.</p>
<p><strong>$fields: </strong>The name(s) of the fields this should apply to (from table above). Can accept multiple fields separated by commas [Required]<br/>
<strong>$roles:</strong>comma separated list of role IDs this should be applied to. Leave empty (or omit) for all roles [Optional - default is all]<br/>
<strong>$templates:</strong>comma separated list of template IDs this should be applied to. Leave empty (or omit) for all templates [Optional - default is all]</p>
<code>mm_hideFields(\'link_attributes\'); // Hide the link_attributes field for all users</code>
<code>mm_hideFields(\'alias\', \'1\', \'3\'); // Hide the alias field for users with role "1" editing documents using template ID "3"</code>
<code>mm_hideFields(\'tv7\', \'2\'); // Hide the template variable "tv7" for users with role "2"</code>';
$_lang['changeFieldHelpHelp']='<p>Changes the help text that appears next to each field when the [?] icon is clicked. </p>
<p>The "parent" field displays help text underneath, rather than in a help icon -- this function will change this text too.</p>
<p>Note that not all fields have help icons, notably "META" and "keyword" fields, "content" and "editor to use". In the future we might insert help icons for these missing ones.</p>
<p><strong>$field: </strong>The name of the fields this should apply to (from table above). Can only accept single field [Required]<br/>
<strong>$helptext:</strong>The new help text that should appear when the help icon is clicked [Required]<br/>
<strong>$roles:</strong>comma separated list of role IDs this should be applied to. Leave empty (or omit) for all roles [Optional - default is all]<br/>
<strong>$templates:</strong>comma separated list of template IDs this should be applied to. Leave empty (or omit) for all templates [Optional - default is all]</p>
<code>mm_changeFieldHelp(\'pagetitle\', \'This text will appear in the browser title bar and bookmarks\'); // Change the help text for pagetitle for all users</code>
<code>mm_changeFieldHelp(\'alias\', \'How the URL will appear\', \'1\'); // Change the help text for alias only for users with role "1"</code>';
$_lang['hideTemplatesHelp']='<p>Hides specified templates from the Templates drop down list</p>
<p><strong>$tplIds: </strong>The IDs of the templates which should be hidden from the templates dropdown. Can accept multiple fields separated by commas [Required]<br/>
<strong>$roles:</strong>comma separated list of role IDs this should be applied to. Leave empty (or omit) for all roles [Optional - default is all]<br/>
<strong>$templates:</strong>comma separated list of template IDs this should be applied to. Leave empty (or omit) for all templates [Optional - default is all]</p>
<p><code>mm_hideTemplates(\'0\'); // Hide template 0 (blank) from all users</code>
<code>mm_hideTemplates(\'0,4\', \'1\'); // Hide templates 0 and 4 from users with role "1"</code></p>';
$_lang['inheritHelp']='<p>Tells one or more fields to inherit their parent document\'s value (if it exists). </p>
<p><strong>$fields: </strong>The name(s) of the fields this should apply to (from table above). Can accept multiple fields. [Required]<br/>
<strong>$roles:</strong>comma separated list of role IDs this should be applied to. Leave empty (or omit) for all roles [Optional - default is all]<br/>
<strong>$templates: </strong>comma separated list of template IDs this should be applied to. Leave empty (or omit) for all templates [Optional - default is all]</p>
<code>mm_inherit(\'pagetitle\', \'0,1\'); // Inherit parent\'s pagetitle when users with role 0 or 1 are editing </code>
<code>mm_inherit(\'pagetitle,longtitle\'); // Inherit parent\'s pagetitle and longtitle for all users</code>
<p>Note: this currently only works for text input fields</p>';
$_lang['defaultHelp']='<p>Provides a default value for specific fields in new documents / folders. Supports:</p>
<ul>
<li><strong>pub_date</strong>- takes a PHP date object (Unix timestamp) to set the default publish date. If no value supplied, will be set to current date and time.</li>
<li><strong>unpub_date</strong>- takes a PHP date object (Unix timestamp) to set the default unpublish date. If no value set, will be set to current date and time.</li>
<li><strong>published</strong>- should "published" be checked? Takes boolean value. Note that if this conflicts with the pub/unpub dates, this may be overriden by Modx when the page is saved</li>
<li><strong>hide_menu</strong>- should "show in menu" be unchecked? Takes boolean value.</li>
<li><strong>show_in_menu</strong>- should "show in menu" be checked? Takes boolean value (opposite of hide_menu)</li>
<li><strong>searchable</strong>- should "searchable" be checked? Takes boolean value.</li>
<li><strong>cacheable</strong>- should "cacheable" be checked? Takes boolean value.</li>
<li><strong>clear_cache</strong>- should "empty cache" be checked? Takes boolean value.</li>
<li><strong>is_folder</strong>- should "container" be checked? Takes boolean value.</li>
<li><strong>is_richtext</strong>- should "rich text" be checked? If set to false, the page will automatically also set the "which_editor" field to none, and reload the page so this takes effect. Takes boolean value.</li>
<li><strong>log</strong>- should "log" be checked? Takes boolean value.</li>
</ul>
<p><strong>$field: </strong>The name(s) of the field this should apply to (from table above). Currently accepts \'pub_date\' or \'unpub_date\' [Required]<br/>
<strong>$value: </strong>The default value for the field specified. If none is supplied the current date/time will be used. A static value can be supplied as a string, or PHP code (to calculate alternative dates) can be supplied if the eval parameter is set to true [Optional]<br/>
<strong>$roles:</strong>comma separated list of role IDs this should be applied to. Leave empty (or omit) for all roles [Optional - default is all]<br/>
<strong>$templates:</strong>comma separated list of template IDs this should be applied to. Leave empty (or omit) for all templates [Optional - default is all]<br/>
<strong>$eval:</strong>Should the value be evaluated as PHP code? Boolean [Optional - default is false]</p>
<code>mm_default(\'pub_date\'); // Always set the publish date on new documents to the current date and time</code>
<code>mm_default(\'unpub_date\', \'return date("d-m-Y H:i:s", now()+(60*60*24*28);\', \'\', \'4\', true); // Automatically set the unpublish date to be four weeks in the future for documents with a template ID of "4"</code><p/>';
$_lang['synch_fieldstHelp']='<p>Synchronises the values of the specified fields at edit time - e.g. for making sure pagetitle and menutitle automatically read the same, particularly if one value is hidden. Works only with text inputs. </p>
<p><strong>$fields: </strong>The name(s) of the fields that should be synched (from table above). Requires a minimum of 2 field names, comma separated [Required]<br/>
<strong>$roles:</strong>comma separated list of role IDs this should be applied to. Leave empty (or omit) for all roles [Optional - default is all]<br/>
<strong>$templates:</strong>comma separated list of template IDs this should be applied to. Leave empty (or omit) for all templates [Optional - default is all]<br/></p>
<p><code>mm_synch_fields(\'pagetitle,menutitle,longtitle\'); // Make the contents of these three fields always equal for all users and all documents </code>
</p><p/>';
$_lang['requireFieldsHelp']='<p>If a required field is empty upon save the user will see an alert and the required fields will have their background set to red.<p>
<code>mm_requireFields(\'description,alias\', $roles, $templates);</code>';
$_lang['renameTabHelp']='<p>Renames one of the default tabs within the manager.</p>
<p><strong>$tab: </strong>The name of the tab this should apply to (from table above). Can only accept single field [Required]<br/>
<strong>$newlabel:</strong>The new text for the label[Required]<br/>
<strong>$roles:</strong>comma separated list of role IDs this should be applied to. Leave empty (or omit) for all roles [Optional - default is all]<br/>
<strong>$templates:</strong>comma separated list of template IDs this should be applied to. Leave empty (or omit) for all templates [Optional - default is all]</p>
<p><code>mm_renameTab(\'meta\', \'Hidden data\', \'2\'); // Rename the meta tab for users with role "2"</code>
<code>mm_renameTab(\'preview\', \'Live preview\'); // Rename the preview tab to "Live preview" for all users</code></p>';
$_lang['hideTabsHelp']='<p>Hides one or more of the default tabs within the manager.</p>
<p><strong>$tabs: </strong>The name(s) of the tabs this should apply to (from table above). Can accept multiple fields separated by commas [Required]<br/>
<strong>$roles:</strong>comma separated list of role IDs this should be applied to. Leave empty (or omit) for all roles [Optional - default is all]<br/>
<strong>$templates:</strong>comma separated list of template IDs this should be applied to. Leave empty (or omit) for all templates [Optional - default is all]</p>
<code>mm_hideTabs(\'meta, preview\'); // Hide the meta and preview tabs for all users</code>
<code>mm_hideTabs(\'meta\', \'1\', \'3\'); // Hide the meta tab for users with role "1" editing documents using template ID "3"</code>';
$_lang['createTabHelp']='<p>Creates a new tab within the document editing page</p>
<p><strong>$name: </strong>The display name of the new tab [Required]<br/>
<strong>$id:</strong>A unique ID for this tab, so you can reference it later on, if you need to [Required]<br/>
<strong>$roles:</strong>comma separated list of role IDs this should be applied to. Leave empty (or omit) for all roles [Optional - default is all]<br/>
<strong>$templates:</strong>comma separated list of template IDs this should be applied to. Leave empty (or omit) for all templates [Optional - default is all]<br/>
<strong>$intro:</strong>HTML text which appears at the top of the new tab [Optional]<br/>
<strong>$width:</strong>New width for the content within the tab. If no units are included, they will be assumed to be pixels e.g. "100%" or "450px" [Optional]</p>
<code>mm_createTab(\'Categories\', \'mycats\'); // Create a new tab named "Categories" for all users and templates</code>
<code>mm_createTab(\'Categories\', \'mycats\', \'\', \'3,4\', \'<p>How should this document be categorised?</p>\', \'450\'); // Create a new tab 450 pixels wide called categories with an introductory paragraph which is only applied to templates 3 and 4</code>';
$_lang['moveFieldsToTabHelp']='<p>Moves fields to a different tab. You can also move TVs to a different tab -- their name must be prefixed by "tv". However you can\'t move the following fields: keywords, metatags, which_editor, content, show_in_menu, menuindex</p>
<p><strong>$fields: </strong>The name(s) of the fields this should apply to (from table above). Can accept multiple fields separated by commas [Required]
<br/>
<strong>$newtab_id:</strong>The ID of the tab which the fields should be moved to. Can be one of the default tab IDs (from table above) or a new custom tab created with mm_createTab [Required]<br/>
<strong>$roles:</strong>comma separated list of role IDs this should be applied to. Leave empty (or omit) for all roles [Optional - default is all]
<br/>
<strong>$templates:</strong>comma separated list of template IDs this should be applied to. Leave empty (or omit) for all templates [Optional - default is all]
<br/>
</p>
<code>mm_moveFieldsToTab(\'pub_date,pagetitle\', \'mycats\'); // Move publication date and page title to the newly created "mycats" tab</code>
<code>mm_moveFieldsToTab(\'pub_date\', \'general\', \'2\', \'\'); // Move the publication date field to the general tab for users with role "2"</code>
<code>mm_moveFieldsToTab(\'tv3\', \'mycats\'); // Move the TV with Id=3 to the new "Categories" tab for all users</code>';
$_lang['renameSectionHelp']='<p>Renames one of the default sections within the document edit page.</p>
<p><strong>$section: </strong>The name of the section this should apply to (from \'section names\' table ). Can only accept single section [Required]<br/>
<strong>$newlabel:</strong>The new text for the label[Required]<br/>
<strong>$roles:</strong>comma separated list of role IDs this should be applied to. Leave empty (or omit) for all roles [Optional - default is all]<br/>
<strong>$templates:</strong>comma separated list of template IDs this should be applied to. Leave empty (or omit) for all templates [Optional - default is all]</p>
<p><code>mm_renameSection(\'docsettings\', \'Technical stuff\', \'2\'); // Rename the document settings section for users with role "2"</code>
<code>mm_renameSection(\'tvs\', \'Other info\'); // Rename the Template Variables section to "Other info" for all users</code></p>';
$_lang['widgetTagsHelp']='<p>
<img height="47" width="441" alt="Tags demo" src="'.$mmmUrlPath.'images/tags.jpg"/>
</p>
<p>Changes the manager widget for this text field to tag-friendly format - e.g. it will display a clickable list of all other tags which have been used for this field.</p>
<p>
<strong>$fields: </strong>
The name(s) of the template variables this should apply to. Can accept multiple field separated by a comma. [Required]
<br/>
<strong>$delimiter:</strong>Which character separates individual tags within this field [Optional - default is comma)<br/>
<strong>$source:</strong>The names(s) of the template variables the list of tags should come from. This allows the list of tags to come from a different field that the widget. By default it uses all the TVs listed in $fields [Optional - default is same as $fields]<br/>
<strong>$display_count:</strong>Display the number of documents using each tag (in brackets after it) [Optional - boolean - default is false]<br/>
<strong>$roles:</strong>comma separated list of role IDs this should be applied to. Leave empty (or omit) for all roles [Optional - default is all]<br/>
<strong>$templates: </strong>comma separated list of template IDs this should be applied to. Leave empty (or omit) for all templates [Optional - default is all]</p>
<p><code>mm_widget_tags(\'tv3\'); // Adds the tag editing widget to the docTags template variable(id=3) wherever it appears</code>
<code>mm_widget_tags(\'tv3,tv5\'); // Adds the tag editing widget to the docTags(id=3) and blogTags(id=5) template variables wherever they appear - making all previous values from both template variables available in both tags</code>
<code>mm_widget_tags(\'tv3\', \',\', \'\', \'1\', \'\', \'2\'); // Adds the tag editing widget to the docTags(id=3) template variables in template 2, and shows the number of times each tag has been used</code>
</p>
<p>Note: TV(s) must be a text input field</p>';
$_lang['widgetShowimagetvsHelp']='<p><img alt="Show Image preview" src="'.$mmmUrlPath.'images/image-preview.jpg"/></p>
<p>Emulates the ShowImageTVs plugin - shows a preview of images chosen in image TVs.</p>
<p><strong>$fields: </strong>The name(s) of the template variables this should apply to. Can accept multiple field separated by a comma. [Optional - default is to use all image TVs]<br/>
<strong>$w:</strong>Preferred maximum width of the preview [Optional - default is 300]<br/>
<strong>$h:</strong>Preferred maximum height of the preview [Optional - default is 100]<br/>
<strong>$thumbnailerUrl:</strong>If you have PHPThumb installed (for example through Maxigallery or phpthumb plugins/snippets), use this to make thumbnails rather than resizing the image previews via CSS. Particularly useful if you are using very large pictures, which would take a long time to download. [Optional - url]<br/>
<strong>$roles:</strong>comma separated list of role IDs this should be applied to. Leave empty (or omit) for all roles [Optional - default is all]<br/>
<strong>$templates: </strong>comma separated list of template IDs this should be applied to. Leave empty (or omit) for all templates [Optional - default is all]</p>
<p>
<code>mm_widget_showimagetvs(); // Adds an image preview to every Image-type template variable</code>
<code>mm_widget_showimagetvs(\'\', 150, 150); // Adds a 150x150px image preview to every Image-type template variable</code>
<code>mm_widget_showimagetvs(\'tv11\', \'300\', \'200\', \'/assets/snippets/phpthumb/phpThumb.php\', \'\', \'2\'); // Adds an image preview to the mypic(id=11) template variables in template 2, resized to 300x200px using phpthumb at the URL supplied</code>
</p>
<p>Note: TV(s) must be an image input field</p>';
$_lang['widgetColorsHelp']='<p><img alt="Color picker" src="'.$mmmUrlPath.'images/color-picker.jpg"/></p>
<p>Turns a text field into a color picker - storing the chosen hex value in the field.</p><p>
<strong>$fields: </strong>The name(s) of the template variables this should apply to. Can accept multiple field separated by a comma. [Required]<br/>
<strong>$default:</strong>Which color should be selected by default in new documents. This is only used in situations where the TV does not have a default value specified in the TV definition [Optional - default is white)<br/>
<strong>$roles:</strong>comma separated list of role IDs this should be applied to. Leave empty (or omit) for all roles [Optional - default is all]<br/>
<strong>$templates: </strong>comma separated list of template IDs this should be applied to. Leave empty (or omit) for all templates [Optional - default is all]</p>
<p>
<code>mm_widget_colors(\'tv6\'); // Adds the color picker widget to the bgcolor(id=6) template variable wherever it appears</code>
<code>mm_widget_colors(\'tv6,tv7\'); // Adds the color picker widget to the bgcolor(id=6) and foreground(id=7) template variables wherever they appear</code>
<code>mm_widget_colors(\'tv6\', \'#000000\', \'1\', \'2\'); // Adds the color picker widget to the bgcolor(id=6) template variable, with a default value of black for new documents, only for role 1 and documents using template 2</code>
</p>
<p>Note: TV(s) must be a text input field</p>';
$_lang['widgetAccessdeniedHelp']='<p>Denies access to specific documents (by ID) without inheritance.</p>
<p>For example, if the parent document has some Ditto call (which you do not want a user to edit) but want to allow them to create child documents.</p>
<p class="error">Use this plugin with caution, as while it offers a basic level of protection, it does not prevent access to documents in the same was as ModX\'s permissions system. It would be possible for a user with technical knowledge to override it. Think of it as a "No entry" sign for an unlocked door, rather than a lock.</p>
<p>Originally contributed by Metaller</p>
<p><strong>$ids: </strong>comma separated list of documents ID to prevent access. [Required]<br/>
<strong>$message:</strong>HTML formatted message [Optional - default is "Access denied - Access to current document closed for security reasons.")<br/>
<strong>$roles:</strong>comma separated list of role IDs this should be applied to. Leave empty (or omit) for all roles [Optional - default is all]<br/>
</p>
<p><code>mm_widget_accessdenied(\'1,15\'); // Prevents all users from accessing documents 1 and 15 (displaying default message)</code>
<code>mm_widget_accessdenied(\'1,15\', \'Please select another document to edit\' \'2\'); // Prevents users with role 2 from accessing documents 1 and 15 (displaying custom message)</code>
</p>';
$_lang['how_it_works']='
    <h1>How it works</h1>
    <p>MM works by creating a series of actions (or "rules"), which can be applied to particular fields. Each rule can be applied to certain roles, certain templates or any combination or either. </p>
    <p>For example, to rename a field for all templates and all users, you might use:</p>
    <code>mm_renameField(\'pagetitle\', \'Document title\');</code>
    <p>You could then restrict this only to users with a particular role by supplying a third parameter, which is an ID of one or more web user roles. You\'ll see a new tab when you\'re editing the plugin which tells you what these are.</p>
    <p>To restrict the example above to only admin role 1, you could add:</p>
    <p><code>mm_renameField(\'pagetitle\', \'Document title\', \'1\');</code></p>
    <p>You can supply more than one role, as a comma separated list:</p>
    <p><code>mm_renameField(\'pagetitle\', \'Document title\', \'1,3,5\');</code></p>
    <p>If you want to make a rule which is "everything but" you can do this by prefixing the list with a "!". For example to apply a rule to everyone EXCEPT administrators, you could say:</p>
    <p><code>mm_renameField(\'pagetitle\', \'Document title\', \'!1\');</code></p>
    <p>Note: the exclaimation negates all the roles, you can\'t mix and match - for example:</p>
    <p><code>mm_renameField(\'pagetitle\', \'Document title\', \'!2,3\');</code></p>
    <p>Would apply the rule to users who are not in role 2 or 3.</p>
    <p>Finally, if you leave the roles paramater blank, or miss it off, the rule will apply to ALL roles.</p>
    <p>You can get further refinement to your rules, by restricting them to certain template IDs too. You can also supply template IDs using exactly the same format. For example:</p>
    <p><code>mm_renameField(\'pagetitle\', \'Document title\', \'\', \'3\');</code></p>
    <p>Will only apply the rule to documents with a template ID of 3.</p>
    <p><code>mm_renameField(\'pagetitle\', \'Document title\', \'!1\', \'3\');</code></p>
    <p>Will apply the rule to users who are not in role 1 when they edit a document with a templaye of 3.</p>
    <p>Phew -- pretty powerful stuff, eh?</p>
    <h3>Applying it</h3>
    <p>You set the rules within the plugin code in the manager. Within the default plugin text is an indication of where they should go, along with some examples. Note that you can use PHP variables here to make things more legible -- for example to store template IDs.</p>
    <p>&nbsp;</p>
  ';
