<?php
//$mm_language = "russian-UTF8";
$mmmPath = $modx->config['base_path'].$Path;
$mmmUrlPath = $modx->config['site_url'].$Path;
$mm_language = $modx->config['manager_language'];
$_lang = array();

if(file_exists($mmmPath.'lang/'.$mm_language.".inc.php")) {
    include_once $mmmPath.'lang/'.$mm_language.'.inc.php';
}
else{
 include_once $mmmPath.'lang/english.inc.php';
}

$chunk_content = $modx->getChunk($config_chunk);


$chunk_table = $modx->getFullTableName('site_htmlsnippets');
$result = $modx->db->query("SELECT id FROM $chunk_table WHERE name = '$config_chunk'");
$chunk_id = $modx->db->makeArray($result);



// Get all templates
		$result = $modx->db->select("templatename, id, description", $modx->db->config['table_prefix']."site_templates", '', 'templatename ASC');
		$all_templates = $modx->db->makeArray( $result );
		$template_table = '<table class="grid">';
		$template_table .= '<tr><th class="gridHeader">'.$_lang['template_name_mm'].'</th><th class="gridHeader">'.$_lang['template_name_manager'].'</th><th class="gridHeader">'.$_lang['template_description'].'</th></tr>';
		$template_table .= '<tr><td class="gridItem">0</td><td class="gridItem">(blank)</td><td class="gridItem">Blank</td></tr>';
		foreach ($all_templates as $count=>$tpl) {
			$class = ($count % 2) ? 'gridItem':'gridAltItem';
			$template_table .= '<tr>';
                        $template_table .= '<td class="'.$class.'">'.$tpl['id'].'</td>';
			$template_table .= '<td class="'.$class.'">'.$tpl['templatename'].'</td>';                        
			$template_table .= '<td class="'.$class.'">'.$tpl['description'].'</td>';
			
			$template_table .= '</tr>';
		}
		$template_table .= '</table>';
// Get all tvs
		$result = $modx->db->select("name,type,caption,id", $modx->db->config['table_prefix']."site_tmplvars", '', 'name ASC');
		$all_tvs = $modx->db->makeArray( $result );
		$tvs_table = '<table class="grid">';
		$tvs_table .= '<tr><th class="gridHeader">'.$_lang['tv_name_mm'].'</th><th class="gridHeader">'.$_lang['tv_caption'].'</th><th class="gridHeader">'.$_lang['tv_name_manager'].'</th><th class="gridHeader">'.$_lang['tv_type'].'</th></tr>';
		
		foreach ($all_tvs as $count=>$tv) {
			$class = ($count % 2) ? 'gridItem':'gridAltItem';
			$tvs_table .= '<tr>';
                        $tvs_table .= '<td class="'.$class.'">tv'.$tv['id'].'</td>';
                        $tvs_table .= '<td class="'.$class.'">'.$tv['caption'].'</td>';	
			$tvs_table .= '<td class="'.$class.'">'.$tv['name'].'</td>';                        
			$tvs_table .= '<td class="'.$class.'">'.$tv['type'].'</td>';
                        		
			$tvs_table .= '</tr>';
		}
		$tvs_table .= '</table>';
//fields
$fields_table ='<table class="grid"><tr><th class="gridHeader">'.$_lang["field_name_mm"].'</th><th class="gridHeader">'.$_lang["field_name_manager"].'</th></tr>
                               <tr><td class="gridAltItem">pagetitle</td><td class="gridAltItem">'.$_lang['pagetitle'].'</td></tr>
                               <tr><td class="gridItem">longtitle</td><td>'.$_lang['long_title'].'</td></tr>
                               <tr><td class="gridAltItem">description</td><td class="gridAltItem">'.$_lang['document_description'].'</td></tr>
                               <tr><td class="gridItem">alias</td><td>'.$_lang['document_alias'].'</td></tr>
                               <tr><td class="gridAltItem">link_attributes</td><td class="gridAltItem">'.$_lang['link_attributes'].'</td></tr>
                                <tr><td class="gridItem">introtext</td><td>'.$_lang['document_summary'].'</td></tr>
                                <tr><td class="gridAltItem">template</td><td class="gridAltItem">'.$_lang['page_data_template'].'</td></tr>
                                <tr><td class="gridItem">menutitle</td><td>'.$_lang['document_opt_menu_title'].'</td></tr>
                                <tr><td class="gridAltItem">menuindex</td><td class="gridAltItem">'.$_lang['document_opt_menu_index'].'</td></tr>
                                <tr><td class="gridItem">show_in_menu</td><td>'.$_lang['document_opt_show_menu'].'</td></tr>
                                <tr><td class="gridAltItem">parent</td><td class="gridAltItem">'.$_lang['document_parent'].'</td></tr>
                                <tr><td class="gridItem">is_folder</td><td>'.$_lang['document_opt_folder'].'</td></tr>
                                <tr><td class="gridAltItem">is_richtext</td><td class="gridAltItem">'.$_lang['document_opt_richtext'].'</td></tr>
                                <tr><td class="gridItem">log</td><td>'.$_lang['track_visitors_title'].'</td></tr>
                                <tr><td class="gridAltItem">published</td><td class="gridAltItem">'.$_lang['document_opt_published'].'</td></tr>
                                <tr><td class="gridItem">pub_date</td><td>'.$_lang['page_data_publishdate'].'</td></tr>
                                <tr><td class="gridAltItem">unpub_date </td><td class="gridAltItem">'.$_lang['page_data_unpublishdate'].'</td></tr>
                                <tr><td class="gridItem">searchable</td><td>'.$_lang['page_data_searchable'].'</td></tr>
                                <tr><td class="gridAltItem">cacheable</td><td class="gridAltItem">'.$_lang['page_data_cacheable'].'</td></tr>
                                <tr><td class="gridItem">clear_cache</td><td>'.$_lang['document_opt_emptycache'].'</td></tr>
                                <tr><td class="gridAltItem">content_type</td><td class="gridAltItem">'.$_lang['page_data_contentType'].'</td></tr>
                                <tr><td class="gridItem">content_dispo</td><td>'.$_lang['document_opt_contentdispo'].'</td></tr>
                                <tr><td class="gridAltItem">keywords</td><td class="gridAltItem">'.$_lang['meta_keywords'].'</td></tr>
                                <tr><td class="gridItem">metatags</td><td>'.$_lang['metatags'].'</td></tr>
                                <tr><td class="gridAltItem">content</td><td class="gridAltItem">'.$_lang['content'].'</td></tr>
                                <tr><td class="gridItem">which_editor</td><td>'.$_lang['which_editor'].'</td></tr></table>
 

';

//Tabs
$tabs_table ='<table class="grid"><tr><th class="gridHeader">'.$_lang["tab_name_mm"].'</th><th class="gridHeader">'.$_lang['tab_name_manager'].'</th></tr>
                               <tr><td class="gridAltItem">general</td><td class="gridAltItem">'.$_lang['tabGeneral'].'</td></tr>
                               <tr><td class="gridItem">settings</td><td>'.$_lang['tabSettings'].'</td></tr>
                               <tr><td class="gridAltItem">meta</td><td class="gridAltItem">'.$_lang['tabMeta'].'</td></tr>
                               <tr><td class="gridItem">preview</td><td>'.$_lang['tabPreview'].'</td></tr>
</table>';
//Section
$section_table ='<table class="grid"><tr><th class="gridHeader">'.$_lang['section_name_mm'].'</th><th class="gridHeader">'.$_lang['section_name_manager'].'</th></tr>
                               <tr><td class="gridAltItem">docsettings</td><td class="gridAltItem">'.$_lang['docsettings_section'].'</td></tr>
                               <tr><td class="gridItem">content</td><td>'.$_lang['content_section'].'</td></tr>
                               <tr><td class="gridAltItem">tvs</td><td class="gridAltItem">'.$_lang['tvs_section'].'</td></tr>
                               <tr><td class="gridItem">access</td><td>'.$_lang['access_section'].'</td></tr>
                               <tr><td class="gridAltItem">history</td><td class="gridAltItem">'.$_lang['history_section'].'</td></tr>
</table>';
// Get all roles
		$result = $modx->db->select("name, id", $modx->db->config['table_prefix']."user_roles", '', 'name ASC');
		$all_roles = $modx->db->makeArray( $result );
		$roles_table = '<table class="grid">';
		$roles_table .= '<tr><th class="gridHeader">'.$_lang['role_name_manager'].'</th><th class="gridHeader">'.$_lang['role_name_mm'].'</th></tr>';
		foreach ($all_roles as $count=>$role) {
			$class = ($count % 2) ? 'gridItem':'gridAltItem';
			$roles_table .= '<tr>';
			$roles_table .= '<td class="'.$class.'">'.$role['name'].'</td>';
			$roles_table .= '<td class="'.$class.'">'.$role['id'].'</td>';
			$roles_table .= '</tr>';
		}
		$roles_table .= '</table>';

$help_table ='<div id="accordion">
 <div class="toggler"><div class="sectionHeader">mm_renameField($field, $newlabel, $roles, $templates, $newhelp)</div></div>
<div class="element"><div class="sectionBody">'.$_lang["renameFieldHelp"].'</div></div>
<div class="toggler"><div class="sectionHeader">mm_hideFields($fields, $roles, $templates)</div></div>
<div class="element"><div class="sectionBody">'.$_lang['hideFieldsHelp'].'</div></div>
<div class="toggler"><div class="sectionHeader">mm_changeFieldHelp($field, $helptext, $roles, $templates)</div></div>
<div class="element"><div class="sectionBody">'.$_lang['changeFieldHelpHelp'].'</div></div>
<div class="toggler"><div class="sectionHeader">mm_hideTemplates($tplIds, $roles, $templates)</div></div>
<div class="element"><div class="sectionBody">'.$_lang['hideTemplatesHelp'].'</div></div>
<div class="toggler"><div class="sectionHeader">mm_inherit($fields, $roles, $templates)</div></div>
<div class="element"><div class="sectionBody">'.$_lang['inheritHelp'].'</div></div>
<div class="toggler"><div class="sectionHeader">mm_default($field, $value, $roles, $templates, $eval)</div></div>
<div class="element"><div class="sectionBody">'.$_lang['defaultHelp'].'</div></div>
<div class="toggler"><div class="sectionHeader">mm_synch_fields($fields, $roles, $templates)</div></div>
<div class="element"><div class="sectionBody">'.$_lang['synch_fieldstHelp'].'</div></div>
<div class="toggler"><div class="sectionHeader">mm_requireFields($fields, $roles, $templates)</div></div>
<div class="element"><div class="sectionBody">'.$_lang['requireFieldsHelp'].'</div></div>
<div class="toggler"><div class="sectionHeader">mm_renameTab($tab, $newlabel, $roles, $templates)</div></div>
<div class="element"><div class="sectionBody">'.$_lang['renameTabHelp'].'</div></div>
<div class="toggler"><div class="sectionHeader">mm_hideTabs($tabs, $roles, $templates)</div></div>
<div class="element"><div class="sectionBody">'.$_lang['hideTabsHelp'].'</div></div>
<div class="toggler"><div class="sectionHeader">mm_createTab($name, $id, $roles, $templates, $intro, $width)</div></div>
<div class="element"><div class="sectionBody">'.$_lang['createTabHelp'].'</div></div>
<div class="toggler"><div class="sectionHeader">mm_moveFieldsToTab($fields, $newtab_id, $roles, $templates)</div></div>
<div class="element"><div class="sectionBody">'.$_lang['moveFieldsToTabHelp'].'</div></div>
<div class="toggler"><div class="sectionHeader">mm_renameSection($section, $newlabel, $roles, $templates)</div></div>
<div class="element"><div class="sectionBody">'.$_lang['renameSectionHelp'].'</div></div>
<div class="toggler"><div class="sectionHeader">mm_widget_tags($fields, $delimiter, $source, $display_count, $roles, $templates)</div></div>
<div class="element"><div class="sectionBody">'.$_lang['widgetTagsHelp'].'</div></div>
<div class="toggler"><div class="sectionHeader">mm_widget_showimagetvs($fields, $w, $h, $thumbnailerUrl, $roles, $templates)</div></div>
<div class="element"><div class="sectionBody">'.$_lang['widgetShowimagetvsHelp'].'</div></div>
<div class="toggler"><div class="sectionHeader">mm_widget_colors($fields, $default, $roles, $templates)</div></div>
<div class="element"><div class="sectionBody">'.$_lang['widgetColorsHelp'].'</div></div>
<div class="toggler"><div class="sectionHeader">mm_widget_accessdenied($ids, $message, $roles)</div></div>
<div class="element"><div class="sectionBody">'.$_lang['widgetAccessdeniedHelp'].'</div></div>
              </div>' ;              

	// The main document editing form
	$output = '
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
    <head>
        <title>mm555</title>
        <link rel="stylesheet" type="text/css" href="media/style/MODxCarbon/style.css" />
<script src="media/script/mootools/mootools.js" type="text/javascript"></script>
<script type="text/javascript" src="media/script/tabpane.js"></script>
<script type="text/javascript"><p>Renames one of the default field within the manager. Note, you cannot rename the "content" field, or template variables -- you should rename template variables names by editing their settings.</p>
window.addEvent(\'domready\', function() {
	
	//create our Accordion instance
	var myAccordion = new Accordion($(\'accordion\'), \'div.toggler\', \'div.element\', {
		opacity: false,
                show: 0,display: 0,
                alwaysHide: true,
		
	});
});
</script>
<style>
.error{
background:#FBE3E4 none repeat scroll 0 0;
border:2px solid red;
color:red;
margin-bottom:1em;
padding:0.8em;
}
#accordion div.sectionHeader {cursor:pointer;
}
#accordion div.sectionBody {margin-bottom:0;
}

code{
background-color:#F9F9F9;
border:1px solid #DEDEDE;
display:block;
padding:0.5em;
margin:1em 0 0;
}
</style>
        
</head>
<body>
<form class="htmlsnippet" id="mutate" name="mutate" method="post" action="index.php">
<input type="hidden" value="79" name="a"/>
<input type="hidden" value="'.$chunk_id[0]['id'].'" name="id"/>
<input type="hidden" value="78" name="mode"/>
<div id="actions">
            <ul class="actionButtons">
                <li id="Button1">
                 <a onclick="documentDirty=false; document.mutate.save.click();" href="#"><img src="media/style/MODxCarbon/images/icons/save.png"/>'.$_lang["saveButton"].'</a>
                </li>
            </ul>
        </div> 
<h1>'.$_lang["managermanager"].'</h1>

<div class="sectionBody">
<div class="tab-pane" id="docManagerPane"> 
	        <script type="text/javascript"> 
	            tpResources = new WebFXTabPane(document.getElementById(\'docManagerPane\')); 
	        </script>

<div class="tab-page" id="tabMMrules">  
	            <h2 class="tab">'.$_lang["mmRulesTabs"].'</h2>  
	            <script type="text/javascript">tpResources.addTabPage(document.getElementById("tabMMrules"));</script>';
	          
if($chunk_id[0]['id']){$output .='<textarea style="width: 100%; height: 400px;" dir="ltr" name="post" onChange="documentDirty=true;">'.$chunk_content.'</textarea>
<input class="inputBox" type="hidden"  value="'.$config_chunk.'" name="name"/>
<input type="submit" style="display: none;" name="save"/>';}
else{$output .='<h1 class="error">'.$_lang["chunk_not_found"].'</h1>';}
$output .= '
	        </div>        

               <div class="tab-page" id="tabFields">  
	            <h2 class="tab">'.$_lang['fieldsTabs'].'</h2>  
	            <script type="text/javascript">tpResources.addTabPage(document.getElementById("tabFields" ));</script> 
	           '.$fields_table.'
	        </div>

                <div class="tab-page" id="tabTvs">  
	            <h2 class="tab">'.$_lang["tvsTabs"].'</h2>  
	            <script type="text/javascript">tpResources.addTabPage(document.getElementById("tabTvs" ));</script> 
	           '.$tvs_table.'
	        </div>

                <div class="tab-page" id="tabTabs">  
	            <h2 class="tab">'.$_lang["tabsTabs"].'</h2>  
	            <script type="text/javascript">tpResources.addTabPage(document.getElementById("tabTabs" ));</script> 
	           '.$tabs_table.'
	        </div>

               <div class="tab-page" id="tabSections">  
	            <h2 class="tab">'.$_lang["sectionsTabs"].'</h2>  
	            <script type="text/javascript">tpResources.addTabPage(document.getElementById("tabSections" ));</script> 
	           '.$section_table.'
	        </div>

               <div class="tab-page" id="tabTemplates">  
	            <h2 class="tab">'.$_lang["templatesTabs"].'</h2>  
	            <script type="text/javascript">tpResources.addTabPage(document.getElementById("tabTemplates" ));</script> 
	           '.$template_table.'
	        </div>
                <div class="tab-page" id="tabRoles">  
	            <h2 class="tab">'.$_lang["rolesTabs"].'</h2>  
	            <script type="text/javascript">tpResources.addTabPage(document.getElementById("tabRoles" ));</script> 
	           '.$roles_table.'
	        </div>

                <div class="tab-page" id="tabHelp">  
	            <h2 class="tab">'.$_lang["functionTabs"].'</h2>  
	            <script type="text/javascript">tpResources.addTabPage(document.getElementById("tabHelp" ));</script>
      
'.$help_table.'

            </div>
     <div class="tab-page" id="tabGettingStarted">  
	            <h2 class="tab">'.$_lang["gettingStartedTabs"].'</h2>  
	            <script type="text/javascript">tpResources.addTabPage(document.getElementById("tabGettingStarted" ));</script>
      
'.$_lang['how_it_works'].'

            </div>


	           
	        </div>


  
</div>
</div>
</form>
</body>';

    echo $output;
	



?>
